summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Nagy <danielnagy@gmx.de>2012-10-09 22:54:51 +0200
committerDaniel Nagy <danielnagy@gmx.de>2012-10-09 22:54:51 +0200
commitfd79a97b6722011f3b9c9da79ff80aa314d6776b (patch)
tree5109bb7d249071d3e54dab5fd9661c0d0a554e9b /dev-java/xml-dir-listing
parentinsert many new projects and update all manifest files (diff)
downloaddrevilt-fd79a97b6722011f3b9c9da79ff80aa314d6776b.tar.gz
drevilt-fd79a97b6722011f3b9c9da79ff80aa314d6776b.tar.bz2
drevilt-fd79a97b6722011f3b9c9da79ff80aa314d6776b.zip
insert many new projects and update all manifest files - part 2
Diffstat (limited to 'dev-java/xml-dir-listing')
-rw-r--r--dev-java/xml-dir-listing/Manifest2
l---------dev-java/xml-dir-listing/xml-dir-listing-0.1.ebuild1
-rw-r--r--dev-java/xml-dir-listing/xml-dir-listing-9999.ebuild43
3 files changed, 46 insertions, 0 deletions
diff --git a/dev-java/xml-dir-listing/Manifest b/dev-java/xml-dir-listing/Manifest
new file mode 100644
index 0000000..51cfca0
--- /dev/null
+++ b/dev-java/xml-dir-listing/Manifest
@@ -0,0 +1,2 @@
+EBUILD xml-dir-listing-0.1.ebuild 1271 SHA256 cc9b31a5597839db3a1a735be956ca04146d4fe125f59f36941630684127c40d SHA512 8c2842ed1ada8c39da5554afd0b78d79e77583759dcb49142c6e2e67ef9f9c849229d9bb3a876332988fe9a274d4cbc186664ae3c7bc7f1eea3f48328743b719 WHIRLPOOL a90314a2cf2b5f531699289b57f43c24bb8461fc0f80859a20f0565f9adc9c51a0adb8a4f977a40c16b04daf9b9bf2158fd6a3a14c2c1581a3dfd82d9e0ac598
+EBUILD xml-dir-listing-9999.ebuild 1271 SHA256 cc9b31a5597839db3a1a735be956ca04146d4fe125f59f36941630684127c40d SHA512 8c2842ed1ada8c39da5554afd0b78d79e77583759dcb49142c6e2e67ef9f9c849229d9bb3a876332988fe9a274d4cbc186664ae3c7bc7f1eea3f48328743b719 WHIRLPOOL a90314a2cf2b5f531699289b57f43c24bb8461fc0f80859a20f0565f9adc9c51a0adb8a4f977a40c16b04daf9b9bf2158fd6a3a14c2c1581a3dfd82d9e0ac598
diff --git a/dev-java/xml-dir-listing/xml-dir-listing-0.1.ebuild b/dev-java/xml-dir-listing/xml-dir-listing-0.1.ebuild
new file mode 120000
index 0000000..b5bc069
--- /dev/null
+++ b/dev-java/xml-dir-listing/xml-dir-listing-0.1.ebuild
@@ -0,0 +1 @@
+xml-dir-listing-9999.ebuild \ No newline at end of file
diff --git a/dev-java/xml-dir-listing/xml-dir-listing-9999.ebuild b/dev-java/xml-dir-listing/xml-dir-listing-9999.ebuild
new file mode 100644
index 0000000..bca9787
--- /dev/null
+++ b/dev-java/xml-dir-listing/xml-dir-listing-9999.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit java-pkg-2 java-ant-2 eutils subversion
+
+if [ "${PV}" == "9999" ] ; then
+ ESVN_REPO_URI="https://xml-dir-listing.googlecode.com/svn/trunk/"
+else
+ ESVN_REPO_URI="https://xml-dir-listing.googlecode.com/svn/tags/version_${PV}/"
+fi
+
+DESCRIPTION="xml-dir-listing"
+HOMEPAGE="http://code.google.com/p/xml-dir-listing/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=">=virtual/jdk-1.5 dev-java/commons-cli dev-java/log4j dev-java/jakarta-regexp"
+RDEPEND=">=virtual/jre-1.5 dev-java/commons-cli dev-java/log4j dev-java/jakarta-regexp"
+
+S=${WORKDIR}
+
+EANT_GENTOO_CLASSPATH="commons-cli-1,ant-core"
+
+src_install() {
+ java-pkg_newjar ${S}/lib/${PN}.*.jar ${P}.jar
+ # java-pkg_dolauncher ${PN} --jar ${PN}.jar --main net.matthaynes.xml.dirlist.DirectoryListing
+ mkdir -p ${D}/usr/bin
+ echo -e '#!/bin/bash\njava -cp $(java-config -p xml-dir-listing,commons-cli-1,jakarta-regexp-1.4,log4j) net.matthaynes.xml.dirlist.DirectoryListing -o /dev/stdout $@' > ${D}/usr/bin/xmls
+ chmod +x ${D}/usr/bin/xmls
+ java-pkg_register-dependency xmlunit-1
+}
+
+src_compile() {
+ eant || die
+ # java-pkg-2_src_compile
+}